petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFieldSplitSchurRestoreS

restores the MatSchurComplement object used by this PC

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFieldSplitSchurRestoreS(PC pc,Mat *S)

Not collective Many br

### Input Parameters

| pc | - the preconditioner context Many br
| S | - the Schur complement matrix Many br

Many br

### See Also

PCFieldSplitGetSubKSP(), PCFIELDSPLIT, PCFieldSplitSchurPreType, PCFieldSplitSetSchurPre(), MatSchurComplement, PCFieldSplitSchurGetS()

Level:advanced
Location:src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages